import os

from PySide2.QtCore import QFile
from PySide2.QtUiTools import QUiLoader
from PySide2.QtWidgets import QDialog

from StyleTools.controls.pointStyleEditor.ui.wdigetStyleDb import WidgetDbStyle


class TestDlg(QDialog):
    def __init__(self,parent=None):
        super().__init__(parent)
        self.ui=self.load_ui("DlgTest.ui",parent)
        self.__widgetMain=WidgetDbStyle(self.ui)
        self.ui.verticalLayout.addWidget(self.__widgetMain)
    def load_ui(self,name_resource,parent):
        loader = QUiLoader()
        path = os.path.join(os.path.dirname(__file__),name_resource)
        ui_file = QFile(path)
        ui_file.open(QFile.ReadOnly)
        ui  = loader.load(ui_file,parent)
        ui_file.close()
        return ui
    def show(self):
        self.ui.show()