from axipy import Rect


class symbolDb:
    def __init__(self,row):
        self.Id=row[0]
        self.Name=row[1]
        self.Alias=row[2]
        self.rect=Rect(row[3],row[4],row[5],row[6])
        self.symbol=row[7]
class DbSymbols:
    name_table="catalog_symbols"
    def __init__(self,db):
        self.__db=db
    def loadAll(self):
        sql="select * from "+self.name_table
        records=self.__db.select(sql)
        self.__symbols=[]
        for row in records:
            self.__symbols.append(symbolDb(row))
        return self.__symbols
    def insert(self,name,bound,svg):
        ''' Проверяем таблица существует'''
        sql_exist="SELECT name FROM sqlite_master WHERE type='table' AND name='"+name+"'"
        sql_exist = "SELECT name FROM "+self.name_table+" WHERE  name='" + name + "'"
        record=self.__db.select(sql_exist)
        if len(record)==0:
            ''' Таблица не существует'''
            sql="insert into "+self.name_table+" (name,alias,xmin,ymin,xmax,ymax,symbol) VALUES(?,?,?,?,?,?,?)"
            row = (name, name, bound.xmin, bound.ymin, bound.xmax, bound.ymax, svg)
            self.__db.insert(sql, row)
        else:
            sql="update "+self.name_table+" set symbol=? where name='"+name+"'"
            row=(svg,)
            self.__db.insert(sql, row)

        self.__db.commit()
    def commit(self):
        self.__db.commit()
    def lastId(self):
        sql="select max(id) from "+self.name_table
        rows=self.__db.select(sql)
        max_id=rows[0][0]
        if max_id is None:
            return 0
        return max_id



