from pathlib import Path

from axipy import Rect

from StyleTools.controls.pointStyleEditor.ui.add_tools.DbTools.dbRsc import DbRsc
from StyleTools.controls.pointStyleEditor.ui.add_tools.RenderTools import renderTabToSvg
from StyleTools.controls.pointStyleEditor.ui.add_tools.helper_tab import openTabSqlite

path_db=r"E:\Support\AxiomaTesting\Symbol\DbStyle\style_fnt_full.gpkg"
db=DbRsc()
db.connect(path_db)
sql="select * from catalog_symbols"
path_out_str=r"E:\Support\AxiomaTesting\Style\SvgSymbol"
path_out=Path(path_out_str)
records=db.select(sql)
for row in records:
    name=row[1]
    xmin=row[3]
    ymin=row[4]
    xmax=row[5]
    ymax=row[6]
    temp_svg=str(path_out.joinpath(name+".svg"))
    tab=openTabSqlite(path_db,name)
    rect=Rect(xmin,ymin,xmax,ymax)
    svg=renderTabToSvg(tab,rect,temp_svg)
    tab.close()
    jkl=0
db.close()